summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Nick Smallbone <nick@smallbone.se>2019-03-23 08:17:49 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-03-23 08:17:49 +0700
commit3015af4e8716f1776cb6dba21b091cfee90be735 (patch)
treeb79f505845cead7e571d98920b4d750e994dae45
parent2e6a13ec85a6924a37de5e58148508c32f11f07f (diff)
downloadslackbuilds-3015af4e8716f1776cb6dba21b091cfee90be735.tar.gz
slackbuilds-3015af4e8716f1776cb6dba21b091cfee90be735.tar.xz
academic/cvc4: Added (Theorem Solver).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/cvc4/README7
-rw-r--r--academic/cvc4/cvc4.SlackBuild105
-rw-r--r--academic/cvc4/cvc4.info10
-rw-r--r--academic/cvc4/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/academic/cvc4/README b/academic/cvc4/README
new file mode 100644
index 0000000000..830c7394fb
--- /dev/null
+++ b/academic/cvc4/README
@@ -0,0 +1,7 @@
+CVC4 is an automated theorem prover and satisfiability modulo theories
+(SMT) solver. Given a formula in first-order logic, it attempts to
+either prove the formula or find a counterexample. CVC4 supports
+arithmetic, reasoning about arrays, and several other built-in
+theories. Input problems are written in SMT-LIB format.
+
+This package includes the cvc4 program as well as libraries.
diff --git a/academic/cvc4/cvc4.SlackBuild b/academic/cvc4/cvc4.SlackBuild
new file mode 100644
index 0000000000..ac0e789796
--- /dev/null
+++ b/academic/cvc4/cvc4.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for cvc4
+
+# Copyright 2019 Nick Smallbone, Gothenburg, Sweden
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cvc4
+VERSION=${VERSION:-1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+CPPFLAGS="-I/usr/include/antlr3" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --enable-optimized
+
+sed -i 's:#!/usr/bin/env python3:#!/usr/bin/env python:' src/options/mkoptions.py
+make
+make doc
+make install-strip DESTDIR=$PKG
+make install-examples DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README RELEASE-NOTES THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc/doxygen/html \
+ $PKG/usr/doc/$PRGNAM-$VERSION/api
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/cvc4/cvc4.info b/academic/cvc4/cvc4.info
new file mode 100644
index 0000000000..9255ab5115
--- /dev/null
+++ b/academic/cvc4/cvc4.info
@@ -0,0 +1,10 @@
+PRGNAM="cvc4"
+VERSION="1.6"
+HOMEPAGE="https://cvc4.cs.stanford.edu/"
+DOWNLOAD="https://cvc4.cs.stanford.edu/downloads/builds/src/cvc4-1.6.tar.gz"
+MD5SUM="aac9f3725d2247bcf5dcb87bbbbdf5bb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libantlr3c"
+MAINTAINER="Nick Smallbone"
+EMAIL="nick@smallbone.se"
diff --git a/academic/cvc4/slack-desc b/academic/cvc4/slack-desc
new file mode 100644
index 0000000000..d99cfab40f
--- /dev/null
+++ b/academic/cvc4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cvc4: cvc4 (a first-order theorem prover and SMT solver)
+cvc4:
+cvc4: CVC4 is an automated theorem prover and satisfiability modulo
+cvc4: theories (SMT) solver. Given a formula in first-order logic, it
+cvc4: attempts to either prove the formula or find a counterexample. CVC4
+cvc4: supports arithmetic, reasoning about arrays, and several other
+cvc4: built-in theories. Input problems are written in SMT-LIB format.
+cvc4:
+cvc4: This package includes the cvc4 program as well as libraries.
+cvc4:
+cvc4: Homepage: https://cvc4.cs.stanford.edu/